/****************************************************************/
/*  timer0.c													*/
/*																*/
/*	Taktgeber ber Timer0										*/
/*																*/
/*	written by Wolfgang Weirczeyko	Mrz 2008					*/
/*																*/
/*																*/
/*																*/
/*																*/
/****************************************************************/

#include "main.h"


volatile unsigned char	r_flash = 0;
volatile uint8_t 		t1000;
volatile uint8_t 		t100;
uint8_t 				gr_on = 0 ;


void init_timer0(void)
{
/** Timer 0 ***/
	TCCR0 |= ( 1 << CS01);  /* Prescaler auf 8 hier eventuell noch anpassen */
							/* Startwert timer auch noch definieren			*/
	TIMSK |= ( 1 << TOIE0);	/* Overflow Int zulassen  						*/ 
}

/****************************************************************************/
SIGNAL( SIG_OVERFLOW0) /* Timer0 Mdchen fr alles mgliche */
{
	
	/* Takterzeugung 10 msec und 1 sec. */
		
		Tackt++;
		if(Tackt == 72) /* Anpassung an Taktfrequenz ATMega */	
		{ 	
			MSEC10 = 1;
			Tackt=0;
			
			if ( ++t1000 == 100 )
			{
				t1000 = 0;
				MSEC1000 = 1;
			} 
		
			if ( ++t100 == 10 )
			{
				t100 = 0;
				MSEC100 = 1;
			} 
		 } 	/* Taktverhltniss anhaeherd richtig */
	
}
