/****************************************************************/
/*	 OSD Testprogramm Version 0.1                  				*/
/*	 Einlesen und verarbeiten der Ser. Daten der FC				*/
/*																*/
/*																*/
/*																*/
/*	written by Wolfgang Weirczeyko	Mrz 2008					*/
/*																*/
/*																*/
/*																*/
/*																*/
/****************************************************************/


#include "main.h"


volatile uint8_t		MSEC1000=0;
volatile uint8_t		MSEC100=0;
volatile uint8_t		MSEC10=0;
volatile uint8_t		Tackt=0;

volatile unsigned char RX_BUFF_0[RXB_LEN_0];
volatile unsigned char rx_poi_0;
volatile unsigned char ds_komplett_0;

volatile unsigned char r_on = 0;
volatile unsigned char r_blink =0;
volatile unsigned char g_on = 0;
volatile unsigned char g_blink = 0;

void init_io(void)
{
	DDRD = 0xFF;		/* PortD auf Ausgang */

}


int main(void)
{
	init_io();
	init_timer0();
	init_uarts();

	ROT_OFF;
	GRUEN_ON;
	
	sei();			/* Starte Interrupts */


/* do nothing im Moment */
	while(1)
	{
		if ( MSEC100 == 1)
		{
			MSEC100 = 0;
			rote_led();
			gruene_led();
			
		}

		if(ds_komplett_0 == 1)		/* Datensatz ist da und kann verarbeitet werden */
		Daten_satz_0_verarbeiten();

	}

}


